Upgrading scripts from early 2008 CTPs

Upgrading scripts from early 2008 CTPs

  • Comments 1

The February CTP has been out almost a month now, but just incase you hadn't checked it out yet, I thought I'd post a heads up. The February CTP introduced Visual Studio 2008 (Orcas), replacing Visual Studio 2005 as our Business Intelligence Designer Studio (BIDS).[ side note - why is it I always misspell the word "Intelligence" ] Bringing in VS2008 also changed our scripting engine from VSTA 1.0 to VSTA 2.0, which broke compatibility with earlier Katmai CTPs.

From the February CTP Readme:

4.4.9 Package with Microsoft Visual Studio 2005 Tools for Applications (VSTA) Scripts

In the February CTP and earlier CTP releases of SQL Server 2008, the Script task and Script component used a version of Visual Studio for Applications (VSTA) that is no longer supported. Therefore, the scripts that the Script task and Script component contain are not supported in the following cases:

  • You used the February CTP or an earlier CTP release of SQL Server 2008 to open a SQL Server 2005 package, convert the existing scripts, and then save the converted package.
  • You used the February CTP or an earlier CTP release of SQL Server 2008 to open a SQL Server 2005 package and add a script to the package.
  • You used the February CTP or an earlier CTP release of SQL Server 2008 to create a new package and add a script.

If the script is not supported, SQL Server 2008 Integration Services will display an error message when you open the package. To run the package, create a new Script task or Script component and create a new VSTA script.

When you migrate a SQL Server 2005 package to SQL Server 2008, the migration process automatically converts the scripts in the package to the current version of VSTA. (The package migration feature for SQL Server 2005 packages will be available in a future release of SQL Server 2008.)

Leave a Comment
  • Please add 7 and 8 and type the answer here:
  • Post
  • SSIS packages created in 2005 have to go through an upgrade process to run in 2008. 2008 packages created

Page 1 of 1 (1 items)